Subject: Re: [PATCH 2/n] gitweb: Use '&iquot;' instead of '?' in esc_path

From: Jakub Narebski <[email-masked]>
Date: Sat, 04 Nov 2006 00:35:11 +0100

Petr Baudis wrote:

> Dear diary, on Fri, Nov 03, 2006 at 11:44:48PM CET, I got a letter
> where Junio C Hamano <[email-masked]> said that...
>> Jakub Narebski <[email-masked]> writes:
>> > Which solution do you think it's best?
>> 
>> Sorry, if it was not clear in my message, I wanted to say that I
>> kinda liked those "control pictures" in U+2400 range.
> 
> In principle, right now it should be pretty easy for a project that for
> some reason does not use UTF-8 in commits etc. to adjust gitweb to work
> properly, right? Just change the encoding in HTTP headers and you're
> done, I think.
> 
> Is it worth trying to preserve that flexibility?

It should be also quite easy to change to_uft8 subroutine to actually
convert to utf8. But even if we don't use UTF-8 encoding for HTML in
gitweb, numerical character entities (and that's how those "control
pictures" are entered) should work equally well regardless of encoding.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git